Bug 1178801 - [Build 20201113] firewalld: failure in docker_compose
[Build 20201113] firewalld: failure in docker_compose
Status: IN_PROGRESS
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Network
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Michał Rostecki
E-mail List
https://openqa.opensuse.org/tests/147...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-14 17:17 UTC by Dominique Leuenberger
Modified: 2021-03-09 21:43 UTC (History)
2 users (show)

See Also:
Found By: openQA
Services Priority:
Business Priority:
Blocker: Yes
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2020-11-14 17:17:58 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-DVD-x86_64-extra_tests_textmode_containers@64bit fails in
[docker_compose](https://openqa.opensuse.org/tests/1470965/modules/docker_compose/steps/48)

The switch no nftables seems still not to be ok for docker; the tets fails to connect (in multiple scenarios) to the localhost offered docker container.


## Test suite description
Maintainer: dheidler. Extra tests about CLI software in container module


## Reproducible

Fails since (at least) Build [20201113](https://openqa.opensuse.org/tests/1470965) (current job)


## Expected result

Last good: [20201112](https://openqa.opensuse.org/tests/1470440) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?arch=x86_64&distri=opensuse&flavor=DVD&machine=64bit&test=extra_tests_textmode_containers&version=Tumbleweed)
Comment 1 Michał Rostecki 2020-11-16 12:57:18 UTC
Backporting this PR fixed the issue for me: https://github.com/moby/libnetwork/pull/2548

Here are SRs:

https://build.opensuse.org/request/show/848861
https://build.opensuse.org/request/show/848862
Comment 2 OBSbugzilla Bot 2020-11-30 12:30:06 UTC
This is an autogenerated message for OBS integration:
This bug (1178801) was mentioned in
https://build.opensuse.org/request/show/851816 Factory / docker
Comment 4 Swamp Workflow Management 2020-12-28 17:17:45 UTC
SUSE-SU-2020:3938-1: An update that solves one vulnerability, contains one feature and has four fixes is now available.

Category: security (important)
Bug References: 1174075,1176708,1178801,1178969,1180243
CVE References: CVE-2020-15257
JIRA References: SLE-16460
Sources used:
SUSE Linux Enterprise Module for Containers 12 (src):    containerd-1.3.9-16.32.1, docker-19.03.14_ce-98.57.1, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-1.49.1, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-34.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2021-02-11 17:16:55 UTC
SUSE-SU-2021:0435-1: An update that solves three vulnerabilities, contains one feature and has 5 fixes is now available.

Category: security (important)
Bug References: 1174075,1176708,1178801,1178969,1180243,1180401,1181730,1181732
CVE References: CVE-2020-15257,CVE-2021-21284,CVE-2021-21285
JIRA References: SLE-16460
Sources used:
SUSE Manager Server 4.0 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Manager Retail Branch Server 4.0 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Manager Proxy 4.0 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise Server 15-SP1-BCL (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise Module for Containers 15-SP3 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise Module for Containers 15-SP2 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE Enterprise Storage 6 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3
SUSE CaaS Platform 4.0 (src):    containerd-1.3.9-5.29.3, docker-19.03.15_ce-6.43.3, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-6.45.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.28.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2021-02-12 05:16:56 UTC
openSUSE-SU-2021:0278-1: An update that solves three vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1174075,1176708,1178801,1178969,1180243,1180401,1181730,1181732
CVE References: CVE-2020-15257,CVE-2021-21284,CVE-2021-21285
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    containerd-1.3.9-lp152.2.3.1, docker-19.03.15_ce-lp152.2.3.1, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-lp152.2.3.1, fish-2.7.1-lp152.5.3.1, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-lp152.2.3.1
Comment 14 Swamp Workflow Management 2021-02-12 11:17:45 UTC
SUSE-SU-2021:0445-1: An update that solves three vulnerabilities and has 7 fixes is now available.

Category: security (important)
Bug References: 1065609,1153367,1157330,1158590,1176708,1177598,1178801,1180401,1181730,1181732
CVE References: CVE-2020-15157,CVE-2021-21284,CVE-2021-21285
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Containers 12 (src):    containerd-1.3.9-16.35.1, docker-19.03.15_ce-98.60.2, docker-runc-1.0.0rc10+gitr3981_dc9208a3303f-1.52.1, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-37.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2021-02-18 17:18:45 UTC
SUSE-RU-2021:0516-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1178801,1180401,1182168
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Containers 15-SP2 (src):    docker-19.03.15_ce-6.46.1, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-4.31.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2021-02-21 23:15:57 UTC
openSUSE-RU-2021:0321-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1178801,1180401,1182168
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    docker-19.03.15_ce-lp152.2.9.1, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-lp152.2.6.1
Comment 18 Swamp Workflow Management 2021-03-09 21:43:02 UTC
SUSE-RU-2021:0749-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1178801,1180401,1182168
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Containers 12 (src):    docker-19.03.15_ce-98.63.3, golang-github-docker-libnetwork-0.7.0.1+gitr2908_55e924b8a842-40.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.